export enum MessengerChannel {
  Logout = 'UCAP::messenger::logout',
  ChangeStatus = 'UCAP::messenger::changeStatus',
  ShowSetting = 'UCAP::messenger::showSetting',
  ChangeAutoLaunch = 'UCAP::messenger::changeAutoLaunch',
  ChangeStartupHideWindow = 'UCAP::messenger::changeStartupHideWindow',
  GetNetworkInfo = 'UCAP::messenger::getNetworkInfo'
}

export enum ChatChannel {
  OpenRoom = 'UCAP::chat::openRoom'
}

export enum MessageChannel {
  OpenMessage = 'UCAP::message::openMessage'
}

export enum NotificationChannel {
  Notify = 'UCAP::notification::notify',
  CloseAllNotify = 'UCAP::notification::closeAllNotify'
}

export enum UpdaterChannel {
  Check = 'UCAP::updater::check',
  StartCheckInstant = 'UCAP::updater::startCheckInstant',
  ExistInstant = 'UCAP::updater::existInstant',
  ApplyInstant = 'UCAP::updater::applyInstant',
  StopCheckInstant = 'UCAP::updater::stopCheckInstant'
}

export enum FileChannel {
  OpenFolderItem = 'UCAP::file::openFolderItem',
  ShowImageViewer = 'UCAP::file::showImageViewer',
  SaveFile = 'UCAP::file::saveFile',
  ReadFile = 'UCAP::file::readFile',
  GetPath = 'UCAP::file::getPath',
  SelectDirectory = 'UCAP::file::selectDirectory'
}

export enum WindowStateChannel {
  Changed = 'UCAP::windowState::windowStateChanged'
}

export enum IdleStateChannel {
  Changed = 'UCAP::idleState::changed',
  StartCheck = 'UCAP::idleState::startCheck'
}
